Sign in to follow this  
fcarrica

Wich version should I buy?

Recommended Posts

Hi, Can you tell me what is the version of FS2CREW that works with PMDG 737-600/700/800/900?. Do I have to pay for one file or you sell it separate?.Regards from Argentina,Facundo

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hello Facundo,If you own the PMDG 800/900, you'll need FS2Crew for 800/900 Upgrade Owners.That version works with all versions of the PMDG 737, including the 600 and 700 models. You'll need to install both FS2Crew Service Updates though for that to happen.Hope that helps,Bryan

Share this post


Link to post
Share on other sites

Bryan, Thanks for your quick answer. I'll buy the version that you recomended. One more question, all the 737 version that I have are not from the cd, the upgrade will work anyway?. I don't want to make mistakes.Regards,Facundo

Share this post


Link to post
Share on other sites

Hello Fucundo,That's correct. It will work.P.S. Make sure you have all the latest PMDG Updates installed, including the PMDG 800/900 Optional models Upgrade that makes the 600/700 VC cockpit clickable installed before trying to install FS2Crew.You've probably got them installed, but it's always good to double check.Have fun!Bryan

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this